//////////////////////////////////////////////////////////////////////
// IsPro.h: interface for the CIsPro class.
//这个纯虚类封装了Isp编程的一般操作，请从这个类派出对器件具体
//编程控制的类
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_ISPRO_H__490B94B7_AA5E_4223_8B77_3C6235BC0EB2__INCLUDED_)
#define AFX_ISPRO_H__490B94B7_AA5E_4223_8B77_3C6235BC0EB2__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "ParallelPro.h"

class CIsPro  
{
public:
	BYTE FID;//该类所支持的FID
	CParallelPro* m_pParlPro;
	virtual void InitIsPro(CParallelPro* pParlPro);
	virtual void PreparePro()=0;//编程前的工作
	virtual void ReadSign(BYTE* pBuf)=0;//读特征字
	virtual void Erase()=0;//擦除期间
	virtual BOOL Write(BYTE Data,int nAddr)=0;//写一个单元
	virtual BYTE Read(int nAddr)=0;//读一个单元
	virtual BOOL LockBit(int nBit)=0;//写锁定位
	virtual void ProOver()=0;//编程结束后的工作
	CIsPro();
	virtual ~CIsPro();
};

#endif // !defined(AFX_ISPRO_H__490B94B7_AA5E_4223_8B77_3C6235BC0EB2__INCLUDED_)
